Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
New Contributor
Posts: 2
Registered: ‎06-08-2010
My Device: Curve 8520
My Carrier: Movistar

Problem with the installation of .cod file

I'm trying to install a .cod file of my own, this has some protected libraries wich are been signing. To build the .cod I use the Eclipse plugin with the sdk 4.6.0 that is the same of the Blackberry device (Curve 8520). But after selecting the .alx file with the Desktop Manager, the error message is 'The application is not compatible with the device"

 

I try to install with the .jad and .jar files but, as the application has specific libraries (the push ones), the message is that the application can't start cause there is no signature for that.

 

I'm stuck at this point. Could you bring me some light about this issue? Thanks a lot!!

 

 

Highlighted
Developer
Posts: 91
Registered: ‎05-13-2009
My Device: Not Specified

Re: Problem with the installation of .cod file

Hi  Gran_Ger

Sometimes Application Loader throws this exception when such app is already placed in the list.

Try find and delete app from list before install.

 

Also try do following (Eclipse IDE):

- clean project (Project - Clean)

- refresh project

- build

- start Loader.exe from (C:\Program Files\Research In Motion\AppLoader)

- load your app to device/simulator

Note. If you use additional project-libraries, activate them, build and also load to device.